Bug 1178518 - [abrt] pcmanfm: fm_file_info_ref(): pcmanfm killed by SIGSEGV
Summary: [abrt] pcmanfm: fm_file_info_ref(): pcmanfm killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmanfm
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:79227bd66b880e7cbb628404123...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-04 13:59 UTC by bdp
Modified: 2015-06-10 19:14 UTC (History)
3 users (show)

Fixed In Version: pcmanfm-1.2.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:13:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (19.91 KB, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details
File: cgroup (191 bytes, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details
File: core_backtrace (10.17 KB, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details
File: dso_list (9.40 KB, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details
File: environ (1022 bytes, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details
File: maps (49.98 KB, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details
File: open_fds (1.38 KB, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details
File: var_log_messages (464 bytes, text/plain)
2015-01-04 13:59 UTC, bdp
no flags Details

Description bdp 2015-01-04 13:59:05 UTC
Description of problem:
opening filemanager

Version-Release number of selected component:
pcmanfm-1.2.3-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        pcmanfm --desktop --profile LXDE
crash_function: fm_file_info_ref
executable:     /usr/bin/pcmanfm
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fm_file_info_ref at base/fm-file-info.c:855
 #1 _fetch_file_info_for_shortcut at base/fm-file-launcher.c:146
 #2 fm_launch_files at base/fm-file-launcher.c:262
 #3 fm_launch_files_simple at gtk/fm-gtk-file-launcher.c:207
 #4 fm_folder_view_item_clicked at gtk/fm-folder-view.c:1766
 #5 on_button_press at desktop.c:3392
 #6 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #11 gtk_widget_event_internal at gtkwidget.c:7773
 #12 propagate_event_up at gtkmain.c:2414
 #13 propagate_event at gtkmain.c:2516

Potential duplicate: bug 1151658

Comment 1 bdp 2015-01-04 13:59:07 UTC
Created attachment 975969 [details]
File: backtrace

Comment 2 bdp 2015-01-04 13:59:08 UTC
Created attachment 975970 [details]
File: cgroup

Comment 3 bdp 2015-01-04 13:59:09 UTC
Created attachment 975971 [details]
File: core_backtrace

Comment 4 bdp 2015-01-04 13:59:10 UTC
Created attachment 975972 [details]
File: dso_list

Comment 5 bdp 2015-01-04 13:59:11 UTC
Created attachment 975973 [details]
File: environ

Comment 6 bdp 2015-01-04 13:59:12 UTC
Created attachment 975974 [details]
File: exploitable

Comment 7 bdp 2015-01-04 13:59:12 UTC
Created attachment 975975 [details]
File: limits

Comment 8 bdp 2015-01-04 13:59:14 UTC
Created attachment 975976 [details]
File: maps

Comment 9 bdp 2015-01-04 13:59:14 UTC
Created attachment 975977 [details]
File: open_fds

Comment 10 bdp 2015-01-04 13:59:15 UTC
Created attachment 975978 [details]
File: proc_pid_status

Comment 11 bdp 2015-01-04 13:59:16 UTC
Created attachment 975979 [details]
File: var_log_messages

Comment 12 Mamoru TASAKA 2015-05-21 15:58:42 UTC
http://sourceforge.net/p/pcmanfm/bugs/902/

Comment 13 Fedora Update System 2015-05-21 16:12:15 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22

Comment 14 Fedora Update System 2015-05-21 16:13:15 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21

Comment 15 Fedora Update System 2015-05-21 16:13:55 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20

Comment 16 Fedora Update System 2015-05-22 17:55:30 UTC
Package libfm-1.2.3-4.D20150521git577806e29d.fc20, pcmanfm-1.2.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfm-1.2.3-4.D20150521git577806e29d.fc20 pcmanfm-1.2.3-2.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8709/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2015-06-10 19:12:38 UTC
libfm-1.2.3-5.D20150521git577806e29d.fc21, pcmanfm-1.2.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-10 19:13:05 UTC
pcmanfm-1.2.3-2.fc20, libfm-1.2.3-5.D20150521git577806e29d.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-06-10 19:14:12 UTC
pcmanfm-1.2.3-2.fc22, libfm-1.2.3-5.D20150521git577806e29d.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.